Running
-------
btscanner [--no-reset] [--cfg=<filename>] [--help]
  --no-reset => Do not reset the Bluetooth device(s) before starting the
                scan.
  --cfg=<file> => Use <file> as the config file rather than the default.
  --help => Print the help screen.

Scroll through the list of found devices, press enter to probe the device
for more information and a running RSSI/Link quality meter. This may
trigger a pairing request if you are not paired with the peer device. Use
'q' to quit the screen and 'Q' to quit the application.


How it works
------------
Btscanner is managed by a single thread, this updates the display and
starts all the scanning threads when needed. When a scan is invoked, a
thread is started for each avilable and configured Bluetooth interface.
Two scan types exist, inquiry and brute force. In inquiry mode, each
interface scans for new devices and retrieves any information requested.
In brute force mode, each interface takes the next address in the sequence
and probes for a device using that address.


Commands
--------
  i => Start and inquiry scan
  b => Start a brute force scan
  a => Abort any current scans
  q => Quit the current screen
  Q => Quit Btscanner
  s => Dump a summary of all actions since the last summary.
  o => Sorting. Follow the on screen instructions.

Saved Data
----------
When a device is found, information regarding the scan is saved to disk.
Any device information is saved to ~/bts/<BDADDR>/info. A timestamp is
also saved in ~/bts/<BDADDR>/timestamps. The timestamp enables the user to
monitor when and for how long the device was in range.

Btscanner is also capable of saving summary logs. A summary log is a list
of all the devices scanned since the last summary log or since Btscanner
was started.


Required Libraries/Packages
---------------------------
Linux kernel 2.4.26
bluez-libs 2.10
bluez-tools 2.10
libXML 2.6.7
ncurses 5.4

Installation
------------
./configure [--prefix=<prefix>]
make
make install


OUI Database
------------
Upadted versions of the IEEE OUI database can be downloaded from:
http://standards.ieee.org/regauth/oui/index.shtml

Tim Hurman <bluetooth at pentest.co.uk>
November 2004.
